Skip to main content
`Ctrl`+`K`

# VecGetType

Gets the vector type name (as a string) from a `Vec`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetType(Vec vec, VecType *type)

Not Collective

## Input Parameter

- vec - The vector

## Output Parameter

- type - The `VecType` of the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecType`, `VecCreate()`, `VecDuplicate()`, `VecDuplicateVecs()`

## Level

intermediate

## Location

src/vec/vec/interface/vecreg.c

## Examples

src/mat/tutorials/ex19.c
src/vec/vec/tutorials/ex1f.F90
src/snes/tutorials/ex7.c
src/ksp/ksp/tutorials/ex73.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages